Skip to content

Product Wears Endpoints

Product Wears API endpoints.


Overview

Method Endpoint Description
GET /api/v1/product-wears List Product Wears
POST /api/v1/product-wears Create Product Wear
GET /api/v1/product-wears/{wear_id} Get Product Wear
PATCH /api/v1/product-wears/{wear_id} Update Product Wear
DELETE /api/v1/product-wears/{wear_id} Delete Product Wear

API Reference

Sartiq Backend Server - Product Wears 0.1.0

product-wears


GET /api/v1/product-wears

List Product Wears

Responses

{
    "data": [
        {
            "id": "b253e085-f5f5-4dc8-92ea-e1cfa400b363",
            "slug": "string",
            "name": "string"
        }
    ],
    "count": 0
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "data": {
            "items": {
                "$ref": "#/components/schemas/ProductWearPublic"
            },
            "type": "array",
            "title": "Data"
        },
        "count": {
            "type": "integer",
            "title": "Count"
        }
    },
    "type": "object",
    "required": [
        "data",
        "count"
    ],
    "title": "ProductWearsPublic"
}

POST /api/v1/product-wears

Create Product Wear

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No

Request body

{
    "slug": "string",
    "name": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "slug": {
            "type": "string",
            "maxLength": 50,
            "title": "Slug"
        },
        "name": {
            "type": "string",
            "maxLength": 100,
            "title": "Name"
        }
    },
    "type": "object",
    "required": [
        "slug",
        "name"
    ],
    "title": "ProductWearCreate"
}

Responses

{
    "id": "542b8332-aabc-4c83-bd2f-9afe9c54123f",
    "slug": "string",
    "name": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "id": {
            "type": "string",
            "format": "uuid",
            "title": "Id"
        },
        "slug": {
            "type": "string",
            "title": "Slug"
        },
        "name": {
            "type": "string",
            "title": "Name"
        }
    },
    "type": "object",
    "required": [
        "id",
        "slug",
        "name"
    ],
    "title": "ProductWearPublic"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/v1/product-wears/{wear_id}

Get Product Wear

Input parameters

Parameter In Type Default Nullable Description
wear_id path string No

Responses

{
    "id": "e66a0ecf-2452-4be4-bfb7-fc0cdf8241bd",
    "slug": "string",
    "name": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "id": {
            "type": "string",
            "format": "uuid",
            "title": "Id"
        },
        "slug": {
            "type": "string",
            "title": "Slug"
        },
        "name": {
            "type": "string",
            "title": "Name"
        }
    },
    "type": "object",
    "required": [
        "id",
        "slug",
        "name"
    ],
    "title": "ProductWearPublic"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

PATCH /api/v1/product-wears/{wear_id}

Update Product Wear

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
wear_id path string No

Request body

{
    "slug": null,
    "name": null
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "slug": {
            "anyOf": [
                {
                    "type": "string",
                    "maxLength": 50
                },
                {
                    "type": "null"
                }
            ],
            "title": "Slug"
        },
        "name": {
            "anyOf": [
                {
                    "type": "string",
                    "maxLength": 100
                },
                {
                    "type": "null"
                }
            ],
            "title": "Name"
        }
    },
    "type": "object",
    "title": "ProductWearUpdate"
}

Responses

{
    "id": "e5f449cf-7f78-4ab6-bca2-74a9a09e8a75",
    "slug": "string",
    "name": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "id": {
            "type": "string",
            "format": "uuid",
            "title": "Id"
        },
        "slug": {
            "type": "string",
            "title": "Slug"
        },
        "name": {
            "type": "string",
            "title": "Name"
        }
    },
    "type": "object",
    "required": [
        "id",
        "slug",
        "name"
    ],
    "title": "ProductWearPublic"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

DELETE /api/v1/product-wears/{wear_id}

Delete Product Wear

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
wear_id path string No

Responses

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

Schemas

HTTPValidationError

Name Type Description
detail Array<ValidationError>

ProductWearCreate

Name Type Description
name string
slug string

ProductWearPublic

Name Type Description
id string(uuid)
name string
slug string

ProductWearsPublic

Name Type Description
count integer
data Array<ProductWearPublic>

ProductWearUpdate

Name Type Description
name
slug

ValidationError

Name Type Description
ctx
input
loc Array<>
msg string
type string

Security schemes

Name Type Scheme Description
OAuth2PasswordBearer oauth2